%define lib_name_orig	libdm
%define lib_major	0
%define lib_name	%mklibname dm %{lib_major}
%define devel_name      %mklibname -d dm 

Summary:	Data Management API runtime environment
Name:		dmapi
Version:	2.2.12
Release:	%mkrel 7
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
Patch0:		dmapi-2.2.10-libexec.patch
Patch1:		fix-build.patch
License:	LGPLv2 and GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	xfs-devel
BuildRequires:	libext2fs-devel
BuildRequires:	libtool

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Managment
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{devel_name}
Summary:	Data Management API static libraries and headers
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	dm-devel = %{version}-%{release}
Obsoletes:	dm-devel
Provides:	libdm0-devel = %{version}-%{release}
Obsoletes:	libdm0-devel < 2.2.9-2

%description -n	%{devel_name}
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

# (sb) installed but unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dmapi

%files -n %{lib_name}
%{_libdir}/*.so.*

%files -n %{devel_name}
%doc doc/PORTING doc/CHANGES.gz doc/COPYING README
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*
%{_includedir}/*/*






%changelog
* Sun Mar 13 2016 tv <tv> 2.2.12-7.mga6
+ Revision: 990288
- patch 1: fix build

* Thu Feb 04 2016 umeabot <umeabot> 2.2.12-6.mga6
+ Revision: 935944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.12-5.mga5
+ Revision: 749998
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.12-4.mga5
+ Revision: 678770
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.12-3.mga4
+ Revision: 503858
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2.12-2.mga3
+ Revision: 348850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 2.2.12-1.mga3
+ Revision: 339706
- update to 2.2.12

* Tue Jan 01 2013 pterjan <pterjan> 2.2.10-5.mga3
+ Revision: 337459
- Fix for _libdir != _libexecdir

* Sat Jul 21 2012 colin <colin> 2.2.10-4.mga3
+ Revision: 273158
- Update for usrmove

* Thu Feb 24 2011 ennael <ennael> 2.2.10-3.mga1
+ Revision: 58856
- clean spec file
- imported package dmapi

